Bug 855421 - lorax errors when trying to build f17 updated media
lorax errors when trying to build f17 updated media
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: lorax (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-07 13:00 EDT by Ben Williams
Modified: 2013-07-31 14:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 14:39:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Williams 2012-09-07 13:00:41 EDT
Description of problem:

running pungi to create a updated iso 
returns the following:
preparing to build output tree and boot images
rebuilding initramfs images
rebuilding boot/initramfs-3.5.3-1.fc17.x86_64.img
populating output tree and building boot images
running x86.tmpl
umount: /tmp/lorax.imgutils.AW577j: target is busy.
        (In some cases useful info about processes that use
         the device is found by lsof(8) or fuser(1))
losetup: /dev/loop0: detach failed: Device or resource busy
Traceback (most recent call last):
  File "/sbin/mkefiboot", line 139, in <module>
    opt.diskname)
  File "/sbin/mkefiboot", line 38, in mkmacboot
    mkhfsimg(None, outfile, label=label, graft=graft)
  File "/usr/lib/python2.7/site-packages/pylorax/imgutils.py", line 310, in mkhfsimg
    mkfsargs=["-v", label], graft=graft)
  File "/usr/lib/python2.7/site-packages/pylorax/imgutils.py", line 293, in mkfsimage
    do_grafts(graft, mnt, preserve)
  File "/usr/lib/python2.7/site-packages/pylorax/imgutils.py", line 206, in __exit__
    umount(self.mnt)
  File "/usr/lib/python2.7/site-packages/pylorax/imgutils.py", line 120, in umount
    os.rmdir(mnt)
OSError: [Errno 16] Device or resource busy: '/tmp/lorax.imgutils.AW577j'
Version-Release number of selected component (if applicable):


How reproducible:

everytime 
Steps to Reproduce:
1.sudo pungi --all-stages -c /usr/share/spin-kickstarts/fedora-install-fedora.ks --name Fedora --ver 17 --nosource

2.wait 
3.
  
Actual results:


Expected results:

DVD.iso to be created 
Additional info:
Comment 1 Ben Williams 2012-09-07 14:15:03 EDT
someone suggested killing sandbox 

here is the errors without sandbox running

backing up installroot
generating kernel module metadata
doing depmod and module-info for module-info
FATAL: could not load /VM/work/x86_64/yumroot/boot/System.map-module-info: No such file or directory
Traceback (most recent call last):
  File "/bin/pungi", line 256, in <module>
    main()
  File "/bin/pungi", line 146, in main
    mypungi.doBuildinstall()
  File "/usr/lib/python2.7/site-packages/pypungi/__init__.py", line 909, in doBuildinstall
    workdir=workdir, outputdir=outputdir)
  File "/usr/lib/python2.7/site-packages/pylorax/__init__.py", line 225, in run
    rb.generate_module_data()
  File "/usr/lib/python2.7/site-packages/pylorax/treebuilder.py", line 149, in generate_module_data
    check_call(["depmod", "-a", "-F", ksyms, "-b", root, kver])
  File "/usr/lib64/python2.7/subprocess.py", line 511, in check_call
    raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command '['depmod', '-a', '-F', '/VM/work/x86_64/yumroot/boot/System.map-module-info', '-b', '/VM/work/x86_64/yumroot', 'module-info']' returned non-zero exit status 1
Comment 2 Fedora Admin XMLRPC Client 2013-02-04 10:07:09 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Brian Lane 2013-02-04 14:19:13 EST
That looks like no kernel got installed. Is this still a problem? If so, please attach as many logs as you can find. There should be a pylorax log in the output directory someplace, and any stdout/err from the run may be useful.
Comment 4 Fedora End Of Life 2013-07-03 15:46:17 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 14:39:21 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.